0 Replies Latest reply on Dec 12, 2011 3:55 PM by Edwin van der Elst

    Upgrade Hibernate-Search problems

    Edwin van der Elst Newbie

      Hi,


      We are using seam 2.2.2.Final together with Hibernate-Search 3.1.1.GA.
      Currently, we run into an issue that is fixed in HS 3.2 and higher (issue https://hibernate.onjira.com/browse/HSEARCH-391)


      I run into a problem during initialization (CNFE org.hibernate.annotations.common.reflection.MetadataProvider).


      It looks like I need to upgrade hibernate and hibernate-validator as well. I'm worried that doing this will break a lot of things (like form validation). I'm not even sure Seam 2.2.2 will work with JPA 2.0 (which I get if I upgrade the hibernate components to those required by HS)


      Has anynone succesfully upgraded hibernate-search?


      Cheers,


      Edwin